%define upstream_name    Test-Warn
%define upstream_version 0.37

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

BuildRequires: perl(Carp) >= 1.220.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Sub::Uplevel) >= 0.120.0
BuildRequires: perl(Test::Builder) >= 0.130.0
BuildRequires: perl(Test::Builder::Tester) >= 1.20.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

Summary:    Perl extension to test methods for warnings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

Requires:   perl(Tree::DAG_Node)
%description 
This module provides a few convenience methods for testing warning based code.

If you are not already familiar with the Test::More manpage now would be the
time to go take a look.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%make_build test

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Tue Aug 16 2022 tv <tv> 0.370.0-1.mga9
+ Revision: 1878125
- update to 0.37

* Mon Mar 21 2022 umeabot <umeabot> 0.360.0-4.mga9
+ Revision: 1810451
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.360.0-3.mga8
+ Revision: 1506602
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.360.0-2.mga7
+ Revision: 1286836
- Mageia 7 Mass Rebuild

* Sat Jun 23 2018 tv <tv> 0.360.0-1.mga7
+ Revision: 1239266
- update to 0.36

* Thu Jun 14 2018 tv <tv> 0.350.0-1.mga7
+ Revision: 1236870
- update to 0.35

* Fri Jun 01 2018 tv <tv> 0.340.0-1.mga7
+ Revision: 1233442
- update to 0.34

* Tue May 29 2018 tv <tv> 0.330.0-1.mga7
+ Revision: 1232983
- update to 0.33

* Sun Jul 23 2017 shlomif <shlomif> 0.320.0-1.mga7
+ Revision: 1128977
- update to 0.32

* Sun Jun 19 2016 pterjan <pterjan> 0.300.0-6.mga6
+ Revision: 1034730
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.300.0-5.mga6
+ Revision: 971511
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 0.300.0-4.mga6
+ Revision: 891795
- make it noarch thus fixing empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.300.0-3.mga5
+ Revision: 743847
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.300.0-2.mga5
+ Revision: 686575
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 jquelin <jquelin> 0.300.0-1.mga5
+ Revision: 603020
- update to 0.30

* Sat Oct 19 2013 umeabot <umeabot> 0.240.0-4.mga4
+ Revision: 524129
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.240.0-3.mga4
+ Revision: 430110
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.240.0-2.mga3
+ Revision: 373911
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.240.0-1.mga3
+ Revision: 255530
- update to 0.24

* Sat Feb 26 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 60449
- update buildrequires:
- update to 0.23

* Fri Jan 21 2011 jquelin <jquelin> 0.220.0-2.mga1
+ Revision: 28839
- mageia rebuild
- cleaning spec file
- imported package perl-Test-Warn

